%define pkgname gtk-engines
%define pkgversion 2
%define lib_name %mklibname %{pkgname}%{pkgversion}

%define cleanice_version 2.4.1
%define bluecurve_version 1.0.0
%define mist_version 0.5

%define _requires_exceptions pkgconfig\(.*\)

%define gtkbinaryver %(if $([ -x %{_bindir}/pkg-config ] && pkg-config --exists gtk+-2.0); then pkg-config --variable=gtk_binary_version gtk+-2.0; else echo 0; fi)

Name:			%{pkgname}%{pkgversion}
Summary:		Default GTK+ 2.0 theme engines
Version:		2.20.2
Release:		%mkrel 4
License:		GPLv2+ and LGPLv2+
Group:			System/Libraries
BuildRequires:		libglade2.0-devel
BuildRequires:		gtk+2-devel
BuildRequires:		lua-devel
BuildRequires:		intltool
Source0:		http://ftp.gnome.org/pub/GNOME/sources/gtk-engines/%{pkgname}-%{version}.tar.bz2
Source3:		http://prdownloads.sourceforge.net/elysium-project/gtk-engines-cleanice-%{cleanice_version}.tar.bz2
Source5:		http://themes.freshmeat.net/redir/gtk2flat/31385/url_tgz/gtk2flat-default.tar.bz2
Source7:		bluecurve-gtk-themes-%{bluecurve_version}.tar.bz2
Url:			ftp://ftp.gnome.org/pub/GNOME/sources/gtk-engines/
BuildRoot:		%{_tmppath}/%{name}-%{version}-buildroot
Provides:		gtk-theme-clearlooks
Obsoletes:		gtk-theme-clearlooks

%description
These are the graphical engines for the various GTK+ toolkit themes.
Included themes are:

  - Notif
  - Redmond95
  - Pixmap
  - Metal (swing-like)
  - Many more


#--------------------------------------------------------------------
%package themes
Summary: gtk2 themes
Group:   Graphical desktop/Other
Requires: %name

%description themes
Contains gtk2 themes.

%prep
%setup -q -n %{pkgname}-%{version} -a 3 -a 5 -a 7

%build

%configure2_5x --enable-lua --with-system-lua --enable-animation
%make LIBS=-lm

cd gtk-engines-cleanice-%{cleanice_version}/
%configure2_5x
%make
cd ..

cd gtk-flat-theme-2.0/
autoreconf -fi
%configure2_5x
%make libflat_la_LIBADD="-lgtk-x11-2.0 -lgdk-x11-2.0 -lgobject-2.0 -lglib-2.0"
cd ..

cd bluecurve-gtk-themes-%{bluecurve_version}/
autoreconf -fi
%configure2_5x
%make
cd ..

%install
rm -rf %buildroot

%makeinstall_std

cd gtk-engines-cleanice-%{cleanice_version}/
%makeinstall_std
cd ..

cd gtk-flat-theme-2.0/
%makeinstall_std libflat_la_LIBADD="-lgtk-x11-2.0 -lgdk-x11-2.0 -lgobject-2.0 -lglib-2.0"
cd ..

cd bluecurve-gtk-themes-%{bluecurve_version}/
%makeinstall_std
cd ..

rm -f $RPM_BUILD_ROOT%{_datadir}/themes/*/ICON.png \
  $RPM_BUILD_ROOT%{_libdir}/gtk-2.0/%{gtkbinaryver}/engines/*.la \
  $RPM_BUILD_ROOT%{_libdir}/gtk-2.0/%{gtkbinaryver}/engines/*.a

rm -rf %buildroot%_datadir/locale

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}


#--------------------------------------------------------------------

%files
%defattr(-,root,root)
%_datadir/gtk-engines/
%{_libdir}/gtk-2.0/%{gtkbinaryver}/engines/libbluecurve.so
%{_libdir}/gtk-2.0/%{gtkbinaryver}/engines/libcleanice.so
%{_libdir}/gtk-2.0/%{gtkbinaryver}/engines/libclearlooks.so
%{_libdir}/gtk-2.0/%{gtkbinaryver}/engines/libcrux-engine.so
%{_libdir}/gtk-2.0/%{gtkbinaryver}/engines/libflat.so
%{_libdir}/gtk-2.0/%{gtkbinaryver}/engines/libglide.so
%{_libdir}/gtk-2.0/%{gtkbinaryver}/engines/libhcengine.so
%{_libdir}/gtk-2.0/%{gtkbinaryver}/engines/libindustrial.so
%{_libdir}/gtk-2.0/%{gtkbinaryver}/engines/libluaengine.so
%{_libdir}/gtk-2.0/%{gtkbinaryver}/engines/libmist.so
%{_libdir}/gtk-2.0/%{gtkbinaryver}/engines/libredmond95.so
%{_libdir}/gtk-2.0/%{gtkbinaryver}/engines/libthinice.so
%{_libdir}/pkgconfig/*

%files themes
%{_datadir}/themes/*

%changelog
* Wed Sep 18 2019 tex - 2.20.2-4pclos2019
- rebuild and split out themes

* Mon Aug 25 2014 bb <bb> 2.20.2-3pclos2014
- rebuild

* Sat Oct 02 2010 Texstar <texstar at gmail.com> 2.20.2-2pclos2010
- 2.20.2

* Sat Apr 17 2010 Texstar <texstar at gmail.com> 2.20.2-1pclos2010
- 2.20.2

